<?php 
namespace WPUFA\classes\com;

class Option
{
	var $option_cache = null;
	public function __construct()
	{
		
	}
	
	public function get_last_upload_field_id()
	{
		$id =  $this->get_option( 'wpufa_last_upload_field_id' );
		
		if(!isset($id) || $id === false)
		{
			$id = -1;
			//no need: $this->update_option( 'wpufa_last_upload_field_id', 0);
		}
		return is_string($id) ? intval($id) : $id;
	}
	public function set_upload_fields_options($options)
	{
		$this->update_option( 'wpufa_last_upload_field_id', isset($options) ? max(array_keys($options)) : null);
		$this->update_option( 'wpufa_upload_fields_options', $options );
		return $options;
	}
	public function get_upload_fields_options()
	{
		$this->option_cache = isset($this->option_cache) ? $this->option_cache: $this->get_option( 'wpufa_upload_fields_options', array());
		return $this->option_cache;
	}
	public function update_option($field_name, $value )
	{
		$this->option_cache = null;
		return update_option( $field_name, $value );
	}
	public function get_option($option_name, $dafault = null)
	{
		$data = get_option($option_name);
		return isset($data) ? $data : $default;
	}
}
?>