<?php $values_and_labeld = $wpufa_input_field_model->get_select_labels_and_values(wpufa_get_value_if_set($input_field, array('labels_and_values'), array()), $current_lang);  ?>
<div class="wpufa_input_field_container wpufa_input_select_field_container <?php echo esc_attr($input_field['css_classes']); ?>" id="wpufa_input_field_container_<?php echo $input_field_key; ?>" style=" width:<?php echo wpufa_get_value_if_set($input_field, 'width', "100%", true); ?>">
	<label class=" wpufa_input_field_label <?php echo wpufa_get_value_if_set($input_field, 'mandatory') ? "wpfa_input_field_label_required" : ""; ?>"><?php echo esc_html($input_field['label'][$current_lang]); ?></label>
	<select type="text" 
		  placeholder="<?php echo esc_html($input_field['placeholder'][$current_lang]); ?>" 
		  id="wpufa_input_field_<?php echo $input_field_key; ?>" 
		  data-type="select"
		  data-input-field-id="<?php echo $input_field_key; ?>"
		  class="wpufa_input_field wpufa_input_select_field <?php echo esc_attr($input_field['css_input_classes']); ?> wpufa_input_field_<?php echo $unique_upload_field_id; ?>" 
		  <?php echo wpufa_get_value_if_set($input_field, 'mandatory') ? "required" : ""; ?>
		  <?php echo wpufa_get_value_if_set($input_field, 'multiple_selection') ? "multiple" : ""; ?>>
		 
		 <?php foreach($values_and_labeld as $value => $label): ?>
				<option value="<?php echo esc_attr($value); ?>"><?php echo esc_html($label); ?></option>
			<?php endforeach; ?>
	
	</select>
	<p class="wpufa_input_field_description">
		<?php echo esc_html($input_field['description'][$current_lang]); ?>
	</p>
</div>