<?php 
namespace WPUFA\classes\com;

class User
{
	function __construct()
	{
		
	}
	public function get_all_user_roles()
	 {
		 global $wp_roles;
		 return $wp_roles->roles;
	 }
	 public function get_current_user_roles()
	{
		$user = wp_get_current_user();
		return $user->roles;
	}
	public function belongs_to_seleceted_roles($user_role_restriction_type, $selected_roles)
	{
		$current_user_role = $this->get_current_user_roles();
		
		//not_logged user role has been removed, if restored: $current_user_role = empty($current_user_role) ? array('not_logged') : $current_user_role;
		$user_roles = array();
		foreach((array)$selected_roles as $role_name => $value)
			$selected_roles [$role_name] = $role_name;
		foreach((array)$current_user_role as $index => $role_name)
			$user_roles [$role_name] = $role_name;
				
		return ($user_role_restriction_type == 'allow' && array_intersect($user_roles,$selected_roles)) ||
		       ($user_role_restriction_type == 'deny' && !array_intersect($user_roles,$selected_roles)) ||
		       empty($selected_roles) ? true : false;
	}
	public function can_user_perform_the_upload($field_id, $user_id = null)
	{
		$user_id = !isset($user_id) ? get_current_user_id() : $user_id;
		
		$args = array(
			'post_type' => 'wpufa_upload',
			'posts_per_page' => -1,
			'meta_key' => '_user_id', 
			'meta_value' => $user_id
		);

		$result = get_posts( $args );
		return count($result) == 0 ? true : false;
	}
	public function get_userdata($user_id)
	{
		return get_userdata($user_id);
	}
}
?>