<div class="wpufa_input_field_container dragbox " id="wpufa_input_field_container_<?php echo $input_field_id; ?>">
	<div class="wpufa_title_and_controllers_container">
		<h4><?php esc_html_e('Date','wordpress-upload-files-anywhere');?></h4>
		<span class="wpufa-configure">
			<a href="#" >
				<span class="dashicons dashicons-menu expand-field wpufa-action-button" data-id="<?php echo $input_field_id; ?>"></span>
			</a>
			<a href="#" >
				<span class="dashicons dashicons-trash remove-field wpufa-action-button" data-id="<?php echo $input_field_id; ?>" ></span>
			</a>
		</span>
	</div>
	<div class="wpufa_input_field_options_container <?php echo !$this->input_fields_is_ajax_request ? "wpufa_hide" : "" ?>" id="wpufa_input_field_options_container_<?php echo $input_field_id; ?>">
		<div class="one_third_block_container">
			<input type="hidden" value="<?php echo $type; ?>"  name="wpufa_field_options[<?php echo $upload_field_id; ?>][input_fields][<?php echo $input_field_id; ?>][type]"></input>
			<label><?php esc_html_e('Label','wordpress-upload-files-anywhere');?></label>
			<?php 
				$langs =  $wpufa_wpml_model->get_langauges_list();
				foreach($langs as $language_code => $lang_data): ?>
					<div class="wpufa_display_as_block wpufa_margin_bottom_10" >
						<?php if($lang_data['country_flag_url'] != "none"): ?>
							<img src=<?php echo $lang_data['country_flag_url']; ?> /> <?php echo $lang_data['default_locale']; ?><br/>
						<?php endif; ?>
						<input type="text" 
							   name="wpufa_field_options[<?php echo $upload_field_id; ?>][input_fields][<?php echo $input_field_id; ?>][label][<?php echo $lang_data['language_code']; ?>]" 
							   placeholder="<?php esc_html_e('Label','wordpress-upload-files-anywhere');?>"
							   value="<?php echo esc_attr(wpufa_get_value_if_set($field_data, array('label', $lang_data['language_code']), "")); ?>">
						</input>
						</div>
				<?php endforeach; ?>
		</div>
		<div class="one_third_block_container">
			<label><?php esc_html_e('Placeholder','wordpress-upload-files-anywhere');?></label>
			<?php 
				$langs =  $wpufa_wpml_model->get_langauges_list();
				foreach($langs as $language_code => $lang_data): ?>
					<div class="wpufa_display_as_block wpufa_margin_bottom_10" >
						<?php if($lang_data['country_flag_url'] != "none"): ?>
							<img src=<?php echo $lang_data['country_flag_url']; ?> /> <?php echo $lang_data['default_locale']; ?><br/>
						<?php endif; ?>
						<input type="text" 
							   name="wpufa_field_options[<?php echo $upload_field_id; ?>][input_fields][<?php echo $input_field_id; ?>][placeholder][<?php echo $lang_data['language_code']; ?>]" 
							   placeholder="<?php esc_html_e('Placeholder text','wordpress-upload-files-anywhere');?>"
							   value="<?php echo esc_attr(wpufa_get_value_if_set($field_data, array('placeholder', $lang_data['language_code']), "")); ?>">
						</input>
						</div>
				<?php endforeach; ?>
		</div>
		<div class="one_third_block_container">
			<label><?php esc_html_e('Description','wordpress-upload-files-anywhere');?></label>
			<?php 
				$langs =  $wpufa_wpml_model->get_langauges_list();
				foreach($langs as $language_code => $lang_data): ?>
					<div class="wpufa_display_as_block wpufa_margin_bottom_10" >
						<?php if($lang_data['country_flag_url'] != "none"): ?>
							<img src=<?php echo $lang_data['country_flag_url']; ?> /> <?php echo $lang_data['default_locale']; ?><br/>
						<?php endif; ?>
						<textarea rows="6" cols="50"
							   name="wpufa_field_options[<?php echo $upload_field_id; ?>][input_fields][<?php echo $input_field_id; ?>][description][<?php echo $lang_data['language_code']; ?>]" 
							   placeholder="<?php esc_html_e('Description text','wordpress-upload-files-anywhere');?>"><?php if(isset($field_data['description'][$lang_data['language_code']])) echo  stripcslashes($field_data['description'][$lang_data['language_code']]); ?></textarea>
					</div>
				<?php endforeach; ?>
		</div>
		<div class="one_third_block_container">
			<label class="option_label"><?php esc_html_e('Field width', 'wordpress-upload-files-anywhere');?></label>
			<p><?php echo wpufa_html_escape_allowing_special_tags(__('The field can have a fixed width (px) or a percentage width (%) of the <span class="wpufa_green">main field container</span>. Express the value according to your needs. For example, if you need a fixed width of 200 pixel, enter <strong>200px</strong>. If you need a percentage of 20, enter <strong>20%</strong>. Leaving empty, the field will adapt to the container.', 'wordpress-upload-files-anywhere'));?></p>
			<input type="text" name="wpufa_field_options[<?php echo $upload_field_id ?>][input_fields][<?php echo $input_field_id; ?>][width]" value="<?php echo wpufa_get_value_if_set($field_data, array('width'), "");?>" placeholder="<?php esc_html_e('Example: 200px, 20%, etc', 'wordpress-upload-files-anywhere'); ?>"></input>
		</div>			
		<div class="one_third_block_container">
			<label><?php esc_html_e('CSS row classes','wordpress-upload-files-anywhere');?></label>
			<p><?php esc_html_e('Custom CSS classes that can be used to customize the field container style','wordpress-upload-files-anywhere');?></p>
			<input type="text" 
				   name="wpufa_field_options[<?php echo $upload_field_id; ?>][input_fields][<?php echo $input_field_id; ?>][css_classes]" 
				   placeholder="class1 class2 class3"
				   value="<?php echo esc_attr(wpufa_get_value_if_set($field_data, array('css_classes'), "")); ?>"></input>
		</div>
		<div class="one_third_block_container">
			<label><?php esc_html_e('CSS input classes','wordpress-upload-files-anywhere');?></label>
			<p><?php esc_html_e('Custom CSS classes that can be used to customize the field style','wordpress-upload-files-anywhere');?></p>
			<input type="text" 
				   name="wpufa_field_options[<?php echo $upload_field_id; ?>][input_fields][<?php echo $input_field_id; ?>][css_input_classes]" 
				   placeholder="class1 class2 class3"
				   value="<?php echo esc_attr(wpufa_get_value_if_set($field_data, array('css_input_classes'), "")); ?>"></input>
		</div>
		<div class="half_block_fixed_container"> 
			<label><?php esc_html_e('Required','wordpress-upload-files-anywhere');?></label>
			<p><?php esc_html_e('Set if the input field has to be mandatory or not','wordpress-upload-files-anywhere');?></p>
			<label class="switch">
				<input type="checkbox" name="wpufa_field_options[<?php echo $upload_field_id; ?>][input_fields][<?php echo $input_field_id; ?>][mandatory]" value="true" <?php checked(wpufa_get_value_if_set($field_data, 'mandatory', false), "true") ?> ></input>
				<span class="slider"></span>
			</label>
		</div>
		<div class="half_block_fixed_container"> 
			<label><?php esc_html_e('Show before/after the upload field','wordpress-upload-files-anywhere');?></label>
			<p><?php esc_html_e('The input field can be displayed before or after the upload field','wordpress-upload-files-anywhere');?></p>
			<select name="wpufa_field_options[<?php echo $upload_field_id; ?>][input_fields][<?php echo $input_field_id; ?>][position]">
				<option value="before" <?php selected(wpufa_get_value_if_set($field_data, 'position', "before"), "before"); ?>><?php _e('Before', 'woocommerce-files-upload');?></option>
			    <option value="after" <?php selected(wpufa_get_value_if_set($field_data, 'position', "before"), "after"); ?>><?php _e('After', 'woocommerce-files-upload');?></option>
			</select>
					
		</div>
		<div class="half_block_fixed_container"> 
			<label><?php esc_html_e('Min date','wordpress-upload-files-anywhere');?></label>
			<p><?php esc_html_e('Set the min selectable time','wordpress-upload-files-anywhere');?></p>
			<input type="text" 
				   name="wpufa_field_options[<?php echo $upload_field_id; ?>][input_fields][<?php echo $input_field_id; ?>][min_date]" 
				   placeholder=""
				   class="wpufa_date_field"
				   value="<?php echo esc_attr(wpufa_get_value_if_set($field_data, array('min_date'), "")); ?>"></input>
		</div>
		<div class="half_block_fixed_container">
			<label><?php esc_html_e('Max date','wordpress-upload-files-anywhere');?></label>
			<p><?php esc_html_e('Set the max selectable time','wordpress-upload-files-anywhere');?></p>
			<input type="text" 
				   name="wpufa_field_options[<?php echo $upload_field_id; ?>][input_fields][<?php echo $input_field_id; ?>][max_date]" 
				   placeholder=""
				   class="wpufa_date_field"
				   value="<?php echo esc_attr(wpufa_get_value_if_set($field_data, array('max_date'), "")); ?>"></input>
		</div>
		
		<div class="half_block_fixed_container">
			<label><?php esc_html_e('Days of the week to disable','wordpress-upload-files-anywhere');?></label>
			<p><?php esc_html_e('Set which days of the week are unavailable for selection','wordpress-upload-files-anywhere');?></p>
			<input type="checkbox" 
				   name="wpufa_field_options[<?php echo $upload_field_id; ?>][input_fields][<?php echo $input_field_id; ?>][day_to_disable][1]" 
				   value="1"
				   <?php checked(wpufa_get_value_if_set($field_data, array('day_to_disable', 1), false), 1); ?> ><?php esc_html_e('Monday','wordpress-upload-files-anywhere');?></input>
			<input type="checkbox" 
				   name="wpufa_field_options[<?php echo $upload_field_id; ?>][input_fields][<?php echo $input_field_id; ?>][day_to_disable][2]" 
				   value="2"
				   <?php checked(wpufa_get_value_if_set($field_data, array('day_to_disable', 2), false), 2); ?> ><?php esc_html_e('Tuesday','wordpress-upload-files-anywhere');?></input>
			<input type="checkbox" 
				   name="wpufa_field_options[<?php echo $upload_field_id; ?>][input_fields][<?php echo $input_field_id; ?>][day_to_disable][3]" 
				   value="3"
				   <?php checked(wpufa_get_value_if_set($field_data, array('day_to_disable', 3), false), 3); ?> ><?php esc_html_e('Wednesday','wordpress-upload-files-anywhere');?></input>
				   
			<input type="checkbox" 
				   name="wpufa_field_options[<?php echo $upload_field_id; ?>][input_fields][<?php echo $input_field_id; ?>][day_to_disable][4]" 
				   value="4"
				   <?php checked(wpufa_get_value_if_set($field_data, array('day_to_disable', 4), false), 4); ?> ><?php esc_html_e('Thursday','wordpress-upload-files-anywhere');?></input>
			
			<input type="checkbox" 
				   name="wpufa_field_options[<?php echo $upload_field_id; ?>][input_fields][<?php echo $input_field_id; ?>][day_to_disable][5]" 
				   value="5"
				   <?php checked(wpufa_get_value_if_set($field_data, array('day_to_disable', 5), false), 5); ?> ><?php esc_html_e('Friday','wordpress-upload-files-anywhere');?></input>
				 
			<input type="checkbox" 
				   name="wpufa_field_options[<?php echo $upload_field_id; ?>][input_fields][<?php echo $input_field_id; ?>][day_to_disable][6]" 
				   value="6"
				   <?php checked(wpufa_get_value_if_set($field_data, array('day_to_disable', 6), false), 6); ?> ><?php esc_html_e('Saturday','wordpress-upload-files-anywhere');?></input>
				   
			<input type="checkbox" 
				   name="wpufa_field_options[<?php echo $upload_field_id; ?>][input_fields][<?php echo $input_field_id; ?>][day_to_disable][7]" 
				   value="7"
				   <?php checked(wpufa_get_value_if_set($field_data, array('day_to_disable', 7), false), 7); ?> ><?php esc_html_e('Sunday','wordpress-upload-files-anywhere');?></input>
					  
		</div>
		<div class="half_block_fixed_container">
			<label><?php  esc_html_e('Specifc dates to exclude','wordpress-upload-files-anywhere');?></label>
				<p><?php  wpufa_html_escape_allowing_special_tags(__('Enter each date on a new line.<br/>Each line rapresent a date and must be expessed in the following format <i>d:m</i>, where <i>d</i> is the day number (1-31) and <i>m</i> is the month number (1-12). Example: <ul><li>24:12</li><li>1:3</li><li>15:2</li></ul>','woocommerce-conditional-checkout-field')); ?>
				<?php if($wpufa_wpml_model->wpml_is_active()) :?>
				<?php  wpufa_html_escape_allowing_special_tags(__('Where the first is the 24th of December, the second is the 1st of March and the last is the 15th of February. <strong>NOTE: </strong>This options overrides the previous "Days of the week to disable" option. ','woocommerce-conditional-checkout-field')); ?>
				<?php endif; ?>
				</p>
				<div class="wpufa_float_left wccf_margin_bottom_10 wccf_right_bottom_10" >
						<textarea  rows="6" cols="50"
									name="wpufa_field_options[<?php echo $upload_field_id; ?>][input_fields][<?php echo $input_field_id; ?>][specific_dates_to_disable]" 
									placeholder=""><?php if(isset($field_data['specific_dates_to_disable'])) echo $field_data['specific_dates_to_disable']; ?></textarea>
					</div>
		</div>

		<button class="button button-delete remove-field wpufa_remove_input_field_button disable_during_animation" data-id="<?php echo $input_field_id;?>" ><?php esc_html_e('Remove', 'wordpress-upload-files-anywhere'); ?></button> 
	</div>
</div>