<div class="wpufa_input_field_container wpufa_input_date_field_container <?php echo esc_attr($input_field['css_classes']); ?>" id="wpufa_input_field_container_<?php echo $input_field_key; ?>" style=" width:<?php echo wpufa_get_value_if_set($input_field, 'width', "100%", true); ?>">
	<label class=" wpufa_input_field_label <?php echo wpufa_get_value_if_set($input_field, 'mandatory') ? "wpfa_input_field_label_required" : ""; ?>"><?php echo esc_html($input_field['label'][$current_lang]); ?></label>
	<input type="text" 
			placeholder="<?php echo esc_html($input_field['placeholder'][$current_lang]); ?>" 
			id="wpufa_input_field_<?php echo $input_field_key; ?>" 
			class="wpufa_input_field wpufa_input_date_field <?php echo esc_attr($input_field['css_input_classes']); ?> wpufa_input_field_<?php echo $unique_upload_field_id; ?>" 
			data-type="date"
			data-input-field-id="<?php echo esc_attr($input_field_key); ?>"
			data-upload-field-id="<?php echo esc_attr($unique_upload_field_id); ?>" 
			data-min-date="<?php echo esc_attr(str_replace("-",",",$input_field['min_date'])); ?>"
			data-max-date="<?php echo esc_attr(str_replace("-",",",$input_field['max_date'])); ?>"
			data-week-days-to-disable="<?php echo esc_attr(implode(",", wpufa_get_value_if_set($input_field, 'day_to_disable', array()))); ?>"
			data-dates-to-exclude="<?php echo esc_attr(implode(";",$wpufa_time_model->get_specific_dates_to_disable($input_field['specific_dates_to_disable']))); ?>" 
			<?php echo wpufa_get_value_if_set($input_field, 'mandatory') ? "required" : ""; ?>></input>
	<p class="wpufa_input_field_description">
		<?php echo esc_html($input_field['description'][$current_lang]); ?>
	</p>
</div>