<?php
$min_value = $max_value = "";
if(wpufa_get_value_if_set($input_field, 'time_min_offset', "") != "")
{
	$min_value = $input_field['time_min_offset'] != "" ? str_replace(":",",", date('H:i', strtotime($input_field['time_min_offset']." ".$input_field['time_min_offset_type']))) : ""; 
}
else if(wpufa_get_value_if_set($input_field, 'min_time', "") != "")
{
	$min_value = str_replace(":",",", $input_field['min_time']) ;
}
if(wpufa_get_value_if_set($input_field, 'time_max_offset', "") != "")
{
	$max_value = $input_field['time_max_offset'] != "" ? str_replace(":",",", date('H:i', strtotime($input_field['time_max_offset']." ".$input_field['time_max_offset_type']))) : ""; 
}
else if(wpufa_get_value_if_set($input_field, 'max_time', "") != "")
{
	$max_value = str_replace(":",",", $input_field['max_time']);
}				
?>
<div class="wpufa_input_field_container wpufa_inputtime_field_container <?php echo esc_attr($input_field['css_classes']); ?>" id="wpufa_input_field_container_<?php echo $input_field_key; ?>" style=" width:<?php echo wpufa_get_value_if_set($input_field, 'width', "100%", true); ?>">
	<label class=" wpufa_input_field_label <?php echo wpufa_get_value_if_set($input_field, 'mandatory') ? "wpfa_input_field_label_required" : ""; ?>"><?php echo esc_html($input_field['label'][$current_lang]); ?></label>
	<input type="text" 
			placeholder="<?php echo esc_html($input_field['placeholder'][$current_lang]); ?>" 
			id="wpufa_input_field_<?php echo $input_field_key; ?> wpufa_input_field_<?php echo $unique_upload_field_id; ?>" 
			class="wpufa_input_field wpufa_input_time_field <?php echo esc_attr($input_field['css_input_classes']); ?> wpufa_input_field_<?php echo $unique_upload_field_id; ?>"  
			data-type="time"
			data-input-field-id="<?php echo esc_attr($input_field_key); ?>"
			data-upload-field-id="<?php echo esc_attr($unique_upload_field_id); ?>" 
			data-min="<?php echo esc_attr($min_value); ?>"
			data-max="<?php echo esc_attr($max_value); ?>"
			data-interval="10"
			<?php echo wpufa_get_value_if_set($input_field, 'mandatory') ? "required" : ""; ?>></input>
	<p class="wpufa_input_field_description">
		<?php echo esc_html($input_field['description'][$current_lang]); ?>
	</p>
</div>